Package ru.bitel.bgbilling.modules.inet.common.bean

# Class TrafficTypeLink

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.modules.inet.common.bean.TrafficTypeLink

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

public class TrafficTypeLink extends IdTitle

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bitel.common.model.IdTitle

  `IdTitle.Builder, IdTitle.IdTitleBuilder`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT, title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TrafficTypeLink()`
  `TrafficTypeLink(int id, String title)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<TrafficTypeLinkRule>`
  `getTrafficTypeLinkRuleList()`
  `void`
  `setTrafficTypeLinkRuleList(List<TrafficTypeLinkRule> serviceLinkList)`
  `String`
  `toString()`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setId, setTitle, to, toIdTitle`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### TrafficTypeLink

    public TrafficTypeLink()

  - ### TrafficTypeLink

    public TrafficTypeLink(int id, String title)

- ## Method Details

  - ### getTrafficTypeLinkRuleList

    public List<TrafficTypeLinkRule> getTrafficTypeLinkRuleList()

  - ### setTrafficTypeLinkRuleList

    public void setTrafficTypeLinkRuleList(List<TrafficTypeLinkRule> serviceLinkList)

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `IdTitle`